低危 GNU binutils 2.31 libbfd merge.c merge_strings 拒绝服务漏洞

CVE编号

CVE-2018-18606

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-10-24 06:29:00
漏洞描述
在GNU Binutils 2.31中发布的二进制文件描述符库(又名libbfd)的merge.c中的merge_strings函数中发现了一个问题。在_bfd_add_merge_section中,当试图合并具有较大对齐的部分时,存在一个空指针取消引用。一个特殊的ELF允许远程攻击者导致拒绝服务,正如ld所演示的那样。
解决建议
厂商已发布漏洞修复程序,请及时关注更新:
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=45a0eaf77022963d639d6d19871dbab7b79703fc
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnu binutils 2.31 -
2
运行在以下环境
系统 suse_12_SP4 binutils * Up to
(excluding)
2.32-9.33.1
3
运行在以下环境
系统 suse_12_SP5 binutils * Up to
(excluding)
2.32-9.33.1
4
运行在以下环境
系统 debian_9 binutils * Up to
(excluding)
2.28-5
5
运行在以下环境
系统 debian_10 binutils * Up to
(excluding)
2.31.1-16
6
运行在以下环境
系统 opensuse_Leap_15.0 binutils * Up to
(excluding)
2.32-lp150.10.1
7
运行在以下环境
系统 opensuse_Leap_15.1 binutils * Up to
(excluding)
2.32-lp151.3.3.1
阿里云评分
2.9
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况